/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __EVENTS_H__
#define __EVENTS_H__

enum {
	
/***************************
 *	 ImageMatrixItem
 */
	BTN_CLOSE,

/***************************
 *	 OptionsWindow
 */
	BTN_OK,
	BTN_CANCEL,
	BTN_BROWSEDIR,
	BTN_BROWSEFILE,
	
/***************************
 *	ImageMatrix
 */
	IMGMTX_INSERT_ITEM,

/***************************
 *	 MainWindow
 */
	KEY_UP,
	KEY_DOWN,
	KEY_LEFT,
	KEY_RIGHT,
	// The menus
	MENU_QUIT,
	MENU_SHOW_SELECTION,
	MENU_SHOW_FULLSCREEN,
	MENU_SHOW_OPTIONS,
	MENU_ABOUT,
	MENU_HELP,
	MENU_ONLINE_HELP,
	MENU_HOMEPAGE,
	MENU_FILE_DELETE,
	MENU_FILE_COPY,
	MENU_FILE_MOVE,
	MENU_FILE_SAVEAS,
	MENU_FILE_RENAME,
	MENU_EXT_PROG_BASE 	//IMPORTANT: Must be last
};
#define MENU_EXT_PROG_LAST MENU_EXT_PROG_BASE + 9

#endif /*__EVENTS_H__*/
