/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include "global.h"

#include "mainwindowsplitter.h"

#include "options.h"
#include "mainwindow.h"

BEGIN_EVENT_TABLE(MainWindowSplitter, wxSplitterWindow)
//	EVT_MENU_RANGE(MENU_QUIT, MENU_EXT_PROG_LAST, MainWindowSplitter::speedKey)
END_EVENT_TABLE()

MainWindowSplitter::MainWindowSplitter(wxWindow *wnd)
					: wxSplitterWindow(wnd, -1,
						wxDefaultPosition, wxDefaultSize,
						wxSP_3D | wxSP_LIVE_UPDATE |
						wxCLIP_CHILDREN) 
{AA
}

MainWindowSplitter::~MainWindowSplitter()
{AA
}

void MainWindowSplitter::speedKey(wxCommandEvent& event) 
{AA
	GetParent()->GetEventHandler()->ProcessEvent(event);
}

// Override these to avoid unsplitting errors
void MainWindowSplitter::OnUnsplit(wxWindow *WXUNUSED(removed) )
{AA
}

void MainWindowSplitter::OnDoubleClickSash(int WXUNUSED(x), int WXUNUSED(y) )
{AA
}

bool MainWindowSplitter::OnSashPositionChange(int newSashPosition)
{AA
	int w,h;
	GetClientSize(&w, &h);
	return (newSashPosition < (w - 42));
}
