/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "global.h"

#include "aboutwindow.h"

BEGIN_EVENT_TABLE(AboutWindow, wxDialog)
END_EVENT_TABLE()


AboutWindow::AboutWindow(wxWindow *parent): 
	wxDialog(parent, -1, "About") 
{AA
	SetClientSize(640, 480);

	img = new wxImage();
	img->LoadFile(LOGO_FILE, wxBITMAP_TYPE_ANY, -1);
	
	bmp = new wxBitmap(*img);
	
	logo = new wxStaticBitmap(this, -1, *bmp,
		wxPoint(0,0),
		wxSize(640, 480));
}

AboutWindow::~AboutWindow() 
{AA
	delete img;
	delete bmp;
}
