/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ABOUTWINDOW_H__
#define __ABOUTWINDOW_H__

#include "image.h"

#include <wx/dialog.h>
#include <wx/frame.h>

#include <wx/image.h>
//#include <wx/stattext.h>
#include <wx/statbmp.h>
#include <wx/bitmap.h>

#define LOGO_FILE "logo.jpg"
/*
#define ABOUT_TEXT "\
PC-Show\n\
By Bent Bisballe Jensen\n\
Aasimon.org\n\
URL: http://www.aasimon.org/pc-show\n\
\n\
PC-Show is a crossplatform imageviewer, including integrated \n\
functionality with PC-Praxis.\n\
\n\
Copyright (C) 2004  Bent Bisballe Jensen\n\
\n\
This program is free software; you can redistribute it and/or modify\n\
it under the terms of the GNU General Public License as published by\n\
the Free Software Foundation; either version 2 of the License, or\n\
(at your option) any later version.\n\
\n\
This program is distributed in the hope that it will be useful,\n\
but WITHOUT ANY WARRANTY; without even the implied warranty of\n\
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n\
GNU General Public License for more details.\n\
\n\
You should have received a copy of the GNU General Public License\n\
along with this program; if not, write to the Free Software\n\
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA"
*/
class AboutWindow: public wxDialog
{
public:
    AboutWindow(wxWindow* parent);
    ~AboutWindow();
	
private:
	wxImage			*img;
	wxBitmap		*bmp;
	wxStaticBitmap	*logo;
//	wxStaticText 	*label;

	DECLARE_EVENT_TABLE()
};

#endif
