/*
 * PC-Show - A crossplatform imageviewer, including integrated 
 * functionality with PC-Praxis.
 *
 * Copyright (C) 2004  Bent Bisballe Jensen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __FSWINDOW_H__
#define __FSWINDOW_H__

#include "image.h"

#include <wx/image.h>
#include <wx/frame.h>
#include <wx/event.h>

class FSWindow: public wxFrame
{
public:
    FSWindow(Image *img);
    ~FSWindow();
	
private:
	void evtOnClose(wxCloseEvent& event);
	void evtOnLostFocus(wxFocusEvent& event);
	void evtOnCommand(wxCommandEvent& event);
	void evtOnKey(wxKeyEvent& event);
	void evtOnMouseDblClick(wxMouseEvent& event);

	wxBitmap *bmp;
	Image *image;

	DECLARE_EVENT_TABLE()
};

#endif
